You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@mynewt.apache.org by ma...@apache.org on 2016/12/29 18:59:28 UTC

[1/4] incubator-mynewt-core git commit: Fix gdb shell command on Windows

Repository: incubator-mynewt-core
Updated Branches:
  refs/heads/develop 55c4bff2f -> 2859117ba


Fix gdb shell command on Windows


Project: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/commit/3465f20f
Tree: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/tree/3465f20f
Diff: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/diff/3465f20f

Branch: refs/heads/develop
Commit: 3465f20f47942e9f1213188dddb8e946706022a8
Parents: 73418c7
Author: Simon Ratner <si...@probablyprime.net>
Authored: Wed Dec 28 16:16:14 2016 -0800
Committer: Simon Ratner <si...@probablyprime.net>
Committed: Wed Dec 28 16:16:14 2016 -0800

----------------------------------------------------------------------
 hw/scripts/jlink.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/blob/3465f20f/hw/scripts/jlink.sh
----------------------------------------------------------------------
diff --git a/hw/scripts/jlink.sh b/hw/scripts/jlink.sh
index 315abf5..a3dd94d 100644
--- a/hw/scripts/jlink.sh
+++ b/hw/scripts/jlink.sh
@@ -45,7 +45,7 @@ jlink_load () {
     # downloading somewhere in the flash. So need to figure out how to tell it
     # not to do that, or report failure if gdb fails to write this file
     #
-    echo "shell /bin/sh -c 'trap \"\" 2;JLinkGDBServer -device $JLINK_DEV -speed 4000 -if SWD -port 3333 -singlerun' & " > $GDB_CMD_FILE
+    echo "shell sh -c \"trap '' 2; JLinkGDBServerCL -device $JLINK_DEV -speed 4000 -if SWD -port 3333 -singlerun &\" " > $GDB_CMD_FILE
     echo "target remote localhost:3333" >> $GDB_CMD_FILE
     echo "mon reset" >> $GDB_CMD_FILE
     echo "restore $FILE_NAME binary $FLASH_OFFSET" >> $GDB_CMD_FILE
@@ -109,7 +109,7 @@ jlink_debug() {
 
 	# Monitor mode. Background process gets it's own process group.
 	set -m
-	JLinkGDBServer -device $JLINK_DEV -speed 4000 -if SWD -port 3333 -singlerun > /dev/null &
+	JLinkGDBServerCL -device $JLINK_DEV -speed 4000 -if SWD -port 3333 -singlerun > /dev/null &
 	set +m
 
 	echo "target remote localhost:3333" > $GDB_CMD_FILE


[3/4] incubator-mynewt-core git commit: Check for JLinkGDBServerCL or JLinkGDBServer in path

Posted by ma...@apache.org.
Check for JLinkGDBServerCL or JLinkGDBServer in path


Project: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/commit/e4f71de1
Tree: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/tree/e4f71de1
Diff: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/diff/e4f71de1

Branch: refs/heads/develop
Commit: e4f71de16ef2504855874e174f54c6698d568d47
Parents: e2d3f66
Author: Simon Ratner <si...@probablyprime.net>
Authored: Thu Dec 29 10:15:21 2016 -0800
Committer: Simon Ratner <si...@probablyprime.net>
Committed: Thu Dec 29 10:27:46 2016 -0800

----------------------------------------------------------------------
 hw/scripts/jlink.sh | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/blob/e4f71de1/hw/scripts/jlink.sh
----------------------------------------------------------------------
diff --git a/hw/scripts/jlink.sh b/hw/scripts/jlink.sh
index 0318d74..07e3fee 100644
--- a/hw/scripts/jlink.sh
+++ b/hw/scripts/jlink.sh
@@ -17,6 +17,15 @@
 
 . $CORE_PATH/hw/scripts/common.sh
 
+if which JLinkGDBServerCL >/dev/null 2>&1; then
+  JLINK_GDB_SERVER=JLinkGDBServerCL
+elif which JLinkGDBServer >/dev/null 2>&1; then
+  JLINK_GDB_SERVER=JLinkGDBServer
+else
+  echo "Cannot find JLinkGDBServer, make sure J-Link tools are in your PATH"
+  exit 1
+fi
+
 #
 # FILE_NAME is the file to load
 # FLASH_OFFSET is location in the flash
@@ -45,7 +54,7 @@ jlink_load () {
     # downloading somewhere in the flash. So need to figure out how to tell it
     # not to do that, or report failure if gdb fails to write this file
     #
-    echo "shell sh -c \"trap '' 2; JLinkGDBServer -device $JLINK_DEV -speed 4000 -if SWD -port 3333 -singlerun &\" " > $GDB_CMD_FILE
+    echo "shell sh -c \"trap '' 2; $JLINK_GDB_SERVER -device $JLINK_DEV -speed 4000 -if SWD -port 3333 -singlerun &\" " > $GDB_CMD_FILE
     echo "target remote localhost:3333" >> $GDB_CMD_FILE
     echo "mon reset" >> $GDB_CMD_FILE
     echo "restore $FILE_NAME binary $FLASH_OFFSET" >> $GDB_CMD_FILE
@@ -109,7 +118,7 @@ jlink_debug() {
 
 	# Monitor mode. Background process gets it's own process group.
 	set -m
-	JLinkGDBServer -device $JLINK_DEV -speed 4000 -if SWD -port 3333 -singlerun > /dev/null &
+	$JLINK_GDB_SERVER -device $JLINK_DEV -speed 4000 -if SWD -port 3333 -singlerun > /dev/null &
 	set +m
 
 	echo "target remote localhost:3333" > $GDB_CMD_FILE


[4/4] incubator-mynewt-core git commit: This closes #150.

Posted by ma...@apache.org.
This closes #150.

Merge branch 'fix-win32-sh' of https://github.com/simonratner/incubator-mynewt-core into develop


Project: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/commit/2859117b
Tree: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/tree/2859117b
Diff: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/diff/2859117b

Branch: refs/heads/develop
Commit: 2859117ba62a8b9f6f7f58d98094d67adc44033b
Parents: 55c4bff e4f71de
Author: Marko Kiiskila <ma...@runtime.io>
Authored: Thu Dec 29 10:57:46 2016 -0800
Committer: Marko Kiiskila <ma...@runtime.io>
Committed: Thu Dec 29 10:57:46 2016 -0800

----------------------------------------------------------------------
 hw/scripts/jlink.sh | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)
----------------------------------------------------------------------



[2/4] incubator-mynewt-core git commit: Revert to using gui version of JLinkGDBServer

Posted by ma...@apache.org.
Revert to using gui version of JLinkGDBServer


Project: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/commit/e2d3f661
Tree: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/tree/e2d3f661
Diff: http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/diff/e2d3f661

Branch: refs/heads/develop
Commit: e2d3f6611c5cbfb2681099c7ed95da417efc749f
Parents: 3465f20
Author: Simon Ratner <si...@probablyprime.net>
Authored: Thu Dec 29 09:34:46 2016 -0800
Committer: Simon Ratner <si...@probablyprime.net>
Committed: Thu Dec 29 09:34:46 2016 -0800

----------------------------------------------------------------------
 hw/scripts/jlink.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-mynewt-core/blob/e2d3f661/hw/scripts/jlink.sh
----------------------------------------------------------------------
diff --git a/hw/scripts/jlink.sh b/hw/scripts/jlink.sh
index a3dd94d..0318d74 100644
--- a/hw/scripts/jlink.sh
+++ b/hw/scripts/jlink.sh
@@ -45,7 +45,7 @@ jlink_load () {
     # downloading somewhere in the flash. So need to figure out how to tell it
     # not to do that, or report failure if gdb fails to write this file
     #
-    echo "shell sh -c \"trap '' 2; JLinkGDBServerCL -device $JLINK_DEV -speed 4000 -if SWD -port 3333 -singlerun &\" " > $GDB_CMD_FILE
+    echo "shell sh -c \"trap '' 2; JLinkGDBServer -device $JLINK_DEV -speed 4000 -if SWD -port 3333 -singlerun &\" " > $GDB_CMD_FILE
     echo "target remote localhost:3333" >> $GDB_CMD_FILE
     echo "mon reset" >> $GDB_CMD_FILE
     echo "restore $FILE_NAME binary $FLASH_OFFSET" >> $GDB_CMD_FILE
@@ -109,7 +109,7 @@ jlink_debug() {
 
 	# Monitor mode. Background process gets it's own process group.
 	set -m
-	JLinkGDBServerCL -device $JLINK_DEV -speed 4000 -if SWD -port 3333 -singlerun > /dev/null &
+	JLinkGDBServer -device $JLINK_DEV -speed 4000 -if SWD -port 3333 -singlerun > /dev/null &
 	set +m
 
 	echo "target remote localhost:3333" > $GDB_CMD_FILE